Name:           epel-rpm-macros
Version:        7
Release:        23
Summary:        Extra Packages for Enterprise Linux RPM macros

Group:          System Environment/Base
License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://download.fedoraproject.org/pub/epel
Source0:        macros.epel-rpm-macros
Source1:        macros.zzz-epel-override
Source2:        gpgverify
Source9:        GPL

BuildArch:      noarch
Requires:       redhat-release >= %{version}
# For python buildroot macros
Requires:       python-srpm-macros
# Since the RHEL python-devel package doesn't require them, bring them in here
# python3-rpm-macros is brought in by python3X-devel
Requires:       python-rpm-macros
Requires:       python2-rpm-macros

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) RPM
macros for building EPEL packages.

%prep
%setup -cT
install -pm 644 %{SOURCE9} .

%install
#GPG Key
# Can't depend upon %%rpmmacrodir yet, since we're providing it
install -Dpm 644 %{SOURCE0} \
    %buildroot/usr/lib/rpm/macros.d/macros.epel-rpm-macros

install -Dpm 644 %{SOURCE1} \
    %buildroot/etc/rpm/macros.zzz-epel-override

install -Dpm 755 %{SOURCE2} \
    %{buildroot}%{_rpmconfigdir}/gpgverify

%files
%license GPL
/usr/lib/rpm/macros.d/macros.epel-rpm-macros
/etc/rpm/macros.zzz-epel-override
%{_rpmconfigdir}/gpgverify


%changelog
* Tue Oct 22 2019 Miro Hrončok <mhroncok@redhat.com> - 7-23
- Override %%py_build from RHEL not to use %%__python2 but %%__python

* Mon Sep 30 2019 Miro Hrončok <mhroncok@redhat.com> - 7-22
- Define %%python2 and %%python3

* Sun Aug 11 2019 Miro Hrončok <mhroncok@redhat.com> - 7-21
- Move %%python3_other_pkgversion from python-srpm-macros
- Redefine %%python3_pkgversion to backwards compatible value

* Sat Jun 29 2019 Kevin Fenzi <kevin@scrye.com> - 7-20
- Add gpgverify script for maintainers.

* Fri Jun 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-19
- Add %%set_build_flags macro.

* Mon May 14 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-18
- Add various %%build_* macros from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-17
- Add %%_rpmmacrodir from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-16
- Add %%_metainfodir macro.

* Thu Feb 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-15
- Add %%vimfiles_root (bug #1545901)

* Mon Jan 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7-14
- Backport ldconfig macros

* Thu Dec 15 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-13
- Backport vpath macros.

* Fri Dec 9 2016 Orion Poplawski <orion@cora.nwra.com> 7-12
- Fix override macro file name

* Tue Dec 6 2016 Orion Poplawski <orion@cora.nwra.com> 7-11
- Override %%_pkgdocdir (bug #1392354)

* Fri Sep 16 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-10
- Add overrides file (seems that it must be in /etc/rpm) and override
  %%nodejs_arches.

* Thu Aug 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-9
- Add %%bash_completion_dir.

* Wed Mar 30 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-8
- Use simpler definition of %%epel.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-7
- Add mono macros requested in rhbz 1295117.

* Mon Jan 25 2016 Orion Poplawski <orion@cora.nwra.com> 7-6
- Bring in python macros via the python-rpm-macros packages
- Use %%setup so fedpkg local works

* Mon Jan 4 2016 Orion Poplawski <orion@cora.nwra.com> 7-5
- Fix python_provide macro for EPEL7 python3 package names

* Thu Oct  8 2015 Thomas Spura <tomspur@fedoraproject.org> - 7-4
- Fix python_provide macro to use epoch and obsolete previous python- package

* Tue Aug 18 2015 Orion Poplawski <orion@cora.nwra.com> 7-3
- Fix py2_install macro
- Cleanup spec

* Sat Aug 01 2015 Kevin Fenzi <kevin@scrye.com> 7-2
- Add python macros. Fixes bug #1241655

* Wed Apr 29 2015 Kevin Fenzi <kevin@scrye.com> 7-1
- Initial version for epel.
